Package org.silverpeas.mobile.shared.services.rest

## Interface ServiceComment

- All Superinterfaces:
    `org.fusesource.restygwt.client.RestService`

      @Path("/comments")
      public interface ServiceComment
      extends org.fusesource.restygwt.client.RestService

  Author:
    svu

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `deleteComment​(String componentId, String contentType, String contentId, String commentId, org.fusesource.restygwt.client.MethodCallback<Void> callback)` |
    `void` | `getAllComments​(String componentId, String contentType, String contentId, org.fusesource.restygwt.client.MethodCallback<List<CommentDTO>> callback)` |
    `void` | `saveNewComment​(String componentId, String contentType, String contentId, CommentDTO commentToSave, org.fusesource.restygwt.client.MethodCallback<CommentDTO> callback)` |
    `void` | `updateComment​(String componentId, String contentType, String contentId, String commentId, CommentDTO comment, org.fusesource.restygwt.client.MethodCallback<CommentDTO> callback)` |

- - ### Method Detail

    - #### saveNewComment

          @POST
          @Path("{componentId}/{contentType}/{contentId}/")
          void saveNewComment​(@PathParam("componentId")
                              String componentId,
                              @PathParam("contentType")
                              String contentType,
                              @PathParam("contentId")
                              String contentId,
                              CommentDTO commentToSave,
                              org.fusesource.restygwt.client.MethodCallback<CommentDTO> callback)

    - #### getAllComments

          @GET
          @Path("{componentId}/{contentType}/{contentId}/")
          void getAllComments​(@PathParam("componentId")
                              String componentId,
                              @PathParam("contentType")
                              String contentType,
                              @PathParam("contentId")
                              String contentId,
                              org.fusesource.restygwt.client.MethodCallback<List<CommentDTO>> callback)

    - #### deleteComment

          @DELETE
          @Path("{componentId}/{contentType}/{contentId}/{commentId}")
          void deleteComment​(@PathParam("componentId")
                             String componentId,
                             @PathParam("contentType")
                             String contentType,
                             @PathParam("contentId")
                             String contentId,
                             @PathParam("commentId")
                             String commentId,
                             org.fusesource.restygwt.client.MethodCallback<Void> callback)

    - #### updateComment

          @PUT
          @Consumes("application/json")
          @Produces("application/json")
          @Path("{componentId}/{contentType}/{contentId}/{commentId}")
          void updateComment​(@PathParam("componentId")
                             String componentId,
                             @PathParam("contentType")
                             String contentType,
                             @PathParam("contentId")
                             String contentId,
                             @PathParam("commentId")
                             String commentId,
                             CommentDTO comment,
                             org.fusesource.restygwt.client.MethodCallback<CommentDTO> callback)